Skip to main content
GET
/
v1
/
subscriptions
/
search
List all subscriptions
curl --request GET \
  --url https://api.creem.io/v1/subscriptions/search \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "<string>",
      "mode": "test",
      "object": "subscription",
      "product": {
        "id": "<string>",
        "mode": "test",
        "object": "<string>",
        "name": "<string>",
        "description": "This is a sample product description.",
        "price": 400,
        "currency": "USD",
        "billing_type": "recurring",
        "billing_period": "every-month",
        "status": "active",
        "tax_mode": "inclusive",
        "tax_category": "saas",
        "created_at": "2023-01-01T00:00:00Z",
        "updated_at": "2023-01-01T00:00:00Z",
        "image_url": "https://example.com/image.jpg",
        "features": [
          {
            "id": "feat_abc123",
            "type": "licenseKey",
            "description": "Access to premium course materials."
          }
        ],
        "product_url": "https://creem.io/product/prod_123123123123",
        "default_success_url": "https://example.com/?status=successful",
        "custom_fields": [
          {
            "type": "text",
            "key": "<string>",
            "label": "<string>",
            "optional": true,
            "text": {
              "max_length": 123,
              "minimum_length": 123,
              "value": "<string>"
            },
            "checkbox": {
              "label": "<string>",
              "value": true
            }
          }
        ]
      },
      "customer": {
        "id": "<string>",
        "mode": "test",
        "object": "<string>",
        "email": "user@example.com",
        "country": "US",
        "created_at": "2023-01-01T00:00:00Z",
        "updated_at": "2023-01-01T00:00:00Z",
        "name": "John Doe"
      },
      "collection_method": "charge_automatically",
      "status": "active",
      "created_at": "2024-01-01T00:00:00Z",
      "updated_at": "2024-09-12T12:34:56Z",
      "items": [
        {
          "id": "<string>",
          "mode": "test",
          "object": "<string>",
          "product_id": "<string>",
          "price_id": "<string>",
          "units": 123
        }
      ],
      "last_transaction_id": "tran_3e6Z6TzvHKdsjEgXnGDEp0",
      "last_transaction": {
        "id": "<string>",
        "mode": "test",
        "object": "transaction",
        "amount": 2000,
        "currency": "USD",
        "type": "payment",
        "status": "pending",
        "created_at": 123,
        "amount_paid": 2000,
        "discount_amount": 2000,
        "tax_country": "US",
        "tax_amount": 2000,
        "refunded_amount": 2000,
        "order": "<string>",
        "subscription": "<string>",
        "customer": "<string>",
        "description": "<string>",
        "period_start": 123,
        "period_end": 123
      },
      "last_transaction_date": "2024-09-12T12:34:56Z",
      "next_transaction_date": "2024-09-12T12:34:56Z",
      "current_period_start_date": "2024-09-12T12:34:56Z",
      "current_period_end_date": "2024-09-12T12:34:56Z",
      "canceled_at": "2024-09-12T12:34:56Z",
      "discount": {}
    }
  ],
  "pagination": {
    "total_records": 0,
    "total_pages": 0,
    "current_page": 1,
    "next_page": 2,
    "prev_page": null
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. You can find your API key in the Creem dashboard under Settings > API Keys.

Query Parameters

page_number
number
default:1

The page number for pagination.

Example:

1

page_size
number
default:10

The number of items per page.

Example:

10

Response

Successfully retrieved subscriptions

items
object[]
required

List of subscription items

pagination
object
required

Pagination details for the list